Retrieve Order Receipt By Id
curl --request GET \
--url https://api.example.com/{version}/orders/receipt/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/{version}/orders/receipt/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/{version}/orders/receipt/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/{version}/orders/receipt/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"order_id": 123,
"order_number": "<string>",
"currency": "<string>",
"total_amount": 123,
"status": "<string>",
"note": "<string>",
"as_payment_link": true,
"fee_bearer": "<string>",
"owner_id": 123,
"owner_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"counterparty_id": 123,
"relationship_type": "<string>",
"counterparty_name": "<string>",
"counterparty_phone": "<string>",
"reference_id": "<string>",
"paid_at": "2023-11-07T05:31:56Z",
"counterparty_email": "<string>",
"payer_amount": 1.01,
"payer_currency": "<string>",
"payee_amount": 1.01,
"payee_currency": "<string>",
"platform_fee": 123,
"platform_currency": "<string>",
"gateway_fee": 123,
"gateway_currency": "<string>",
"fx_fee": 123,
"fx_rate": "<string>",
"fx_currency_from": "<string>",
"fx_currency_to": "<string>",
"payment_provider": "<string>",
"payment_method": "<string>",
"account_name": "<string>",
"gateway_confirmed_at": "2023-11-07T05:31:56Z",
"provider_transaction_id": "<string>",
"items": [
{
"id": 123,
"name": "<string>",
"qty": 123,
"amount": 1.01,
"currency": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}orders
Retrieve Order Receipt By Id
GET
/
{version}
/
orders
/
receipt
/
{id}
Retrieve Order Receipt By Id
Authorizations
HTTPBearerHTTPBearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Successful Response
OrderReceiptResponse
Three-letter ISO-4217 currency code (e.g. USD, LRD, NGN)
Required string length:
3Amount
E.164 digits only, without '+' (e.g. 231771234567)
Required string length:
8 - 15A positive, non-zero amount.
Required range:
x >= 0.01Required string length:
3A positive, non-zero amount.
Required range:
x >= 0.01Required string length:
3Amount
Required string length:
3Amount
Required string length:
3Amount
Required string length:
3Required string length:
3Show child attributes
Show child attributes
Last modified on June 23, 2026
Was this page helpful?
